<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/amilist/admin/admin.php                */
/*                                                          */
/* Module Amilist                                           */
/* Version 1.0                                              */
/* Auteur Oim                                               */
/************************************************************/

	/*Debut Securite*/
	if (!function_exists('Access_Error'))
	{

		header('location: ../.. /../index.php');

	}

	if (!strstr($PHP_SELF,'admin.php'))
	{

		Access_Error();

	}
	/*Fin Securite*/

/// DEBUT MENU PRINCIPAL ///
function menuprincipal()
{

	global $NPDS_Prefix, $ModPath;
	global $ThisFile;

	Opentable();

	$version = 'V.1.0';

	echo '<div class="titre_module">'.adm_amilist_trad('Administration d\'Amilist').'&nbsp;'.$version.'</div>'

	.'<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">[&nbsp;<a href='.$ThisFile.'>'.adm_amilist_trad('Accueil').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
	.'<a href="'.$ThisFile.'&amp;subop=configuration">'.adm_amilist_trad('Configuration').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
	.'<a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=amilist">'.adm_amilist_trad('Voir le module (membre)').'</a>&nbsp;]</div><br />'
	.'<table width="50%" border="0" cellspacing="3" cellpadding="1" align="center">'
	.'<form action="'.$ThisFile.'" method="post" name="adminForm">'
	.'<tr class="sous_titre_module" align="center">'
	.'<td width="70%">'.adm_amilist_trad('Membre').'<br /><input type="text" name="membre" size="25" /></td>'
	.'<td width="30%"><input type="hidden" name="subop" value="voirmembre" />'
	.'<input class="adm_bouton" type="submit" value="'.adm_amilist_trad('Valider').'"></td>'
	.'</tr>'
	.'</form>'
	.'</table>'
	.'</div>';

	Closetable();

}
/// FIN MENU PRINCIPAL ///

/// DEBUT INDEX ///
function voirmembre($membre)
{

	global $ModPath, $NPDS_prefix;
	global $ThisFile;

	/*Debut securite*/
	$membre = removeHack($membre);
	/*Fin securite*/

	include_once('modules/'.$ModPath.'/admin/config.php');

	menuprincipal();

	Opentable();

	if ($listM)
	{

		$newlistM = explode(",","$listM");

	}

	echo '<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">'.adm_amilist_trad('Etat du membre').'&nbsp;'.$membre.'</div><br />'
	.'<div><a href="'.$ThisFile.'&amp;subop=supp&amp;membre='.$membre.'" class="text_rouge">[&nbsp;'.adm_amilist_trad('Supprimer ce membre').'&nbsp;]</a></div><br />'
	.'<table width="95%" cellspacing="3" cellpadding="1" border="0" align="center">'
	.'<tr class="sous_titre_module" align="center">'
	.'<td>'.adm_amilist_trad('Amis').'</td>';

	/*Affiche les modules actifs*/
	for ($i = 0; $i < sizeof($newlistM); $i++ )
	{

		echo '<td>'.$newlistM[$i].'</td>';

	}

	echo '</tr>';

	/*Requete affiche etat dun membre suivant $member*/
	$result = sql_query("SELECT id, uid_ami, pseudo_ami, crit1 FROM ".$NPDS_Prefix."ami WHERE pseudo = '$membre' ORDER BY pseudo_ami ASC");
	while (list($id, $uid_ami, $pseudo_ami, $crit1) = sql_fetch_row($result))
	{

		echo '<tr class="titre_admin" align="center">'
		.'<td width="top" align="left">&nbsp;&nbsp;'.$pseudo_ami.'</td>';

		for ($i = 0; $i < sizeof($newlistM); $i++ )
		{

			echo '<td align="center">';

			if (preg_match("/\b$newlistM[$i]\b/i", "$crit1"))
			{

				echo '<input type="checkbox" value="'.$crit1[$i].'" checked="checked" />';

			}
			else
			{

				echo '<input type="checkbox" value="'.$crit1[$i].'" />';

			}

			echo '</td>';

		}

		echo '</tr>';

	}

	echo '</table>';

	Closetable();

}
/// FIN INDEX ///

//DEBUT SUPPRIMER//
function supp($membre, $ok=0)
{

	global $NPDS_Prefix;
	global $ThisFile;

	/*Debut securite*/
	settype($ok,"integer");
	$membre = removeHack($membre);
	/*Fin securite*/

	menuprincipal();

	Opentable();

	if ($ok == 1)
	{

		$result = "DELETE FROM ".$NPDS_Prefix."ami WHERE pseudo = '$membre'";
		$succes = sql_query($result) or die ("erreur : ".sql_error());

		echo '<div align="center" class="cadre_admin"><span class="text_rouge">'.adm_amilist_trad('Ce membre est supprim&eacute;').'</span></div>';

	}
	else
	{

		echo '<div align="center" class="cadre_admin"><span class="text_rouge">'.adm_amilist_trad('Voulez-vous vraiment supprimer ce membre ?').'</span><br /><br />'
		.'[&nbsp;<a href="'.$ThisFile.'&amp;subop=voirmembre&amp;membre='.$membre.'">'.adm_amilist_trad('NON').'</a>&nbsp;|&nbsp;<a href="'.$ThisFile.'&amp;subop=supp&amp;membre='.$membre.'&amp;ok=1">'.adm_amilist_trad('OUI').'</a>&nbsp;]</div>';

	}

	Closetable();

}
/// FIN SUPPRIMER ///

//////////////////////////
///DEBUT CONFIGURATION ///
//////////////////////////

/// DEBUT CONFIGURATION ///
function configuration()
{

	global $ModPath;
	global $ThisFile;

	menuprincipal();

	Opentable();

	include('modules/'.$ModPath.'/admin/config.php');
	include('modules/'.$ModPath.'/cache.timings.php');

	echo '<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">'.adm_amilist_trad('Pr&eacute;f&eacute;rences de Amilist').'</div><br />'
	.'<table width="98%" align="center" cellpadding="2" cellspacing="5" border="0">'
	.'<form action="'.$ThisFile.'" method="post" name="adminForm">'
	.'<tr>'
	.'<td colspan="2" class="sous_titre_module" align="center">'.adm_amilist_trad('Les modules concern&eacute;s').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td valign="top" width="60%">'.adm_amilist_trad('S&eacute;l&eacute;ctionner vos modules').'</td>'
	.'<td width="40%">';

	if (file_exists('modules/Limage/index.html')){$lim = 'Limage';}else{$lim = '<span style="color:red;">Limage</span>';}

	if (file_exists('modules/recette/index.html')){$rec = 'recette';}else{$rec = '<span style="color:red;">recette</span>';}

	if (file_exists('modules/rencontre/index.html')){$renc = 'rencontre';}else{$renc = '<span style="color:red;">rencontre</span>';}

	if (file_exists('modules/video/index.html')){$vid = 'video';}else{$vid = '<span style="color:red;">video</span>';}

	$dep = array($lim, $rec, $renc, $vid);
	$nb_cas = count($dep);
	$au = "span>";

	for($i = 0;$i < $nb_cas; $i++)
	{

		$pos = strpos($listM, $dep[$i]);
		$pos1 = strpos($dep[$i], $au);

		if($pos === false)
		{

			if($pos1 == false)
			{
			
				echo '<input type="checkbox" name="xdepa['.$i.']" value="'.$dep[$i].'" />&nbsp;'.$dep[$i].'<br />';

			}
			else
			{

				echo ''.$dep[$i].'&nbsp;'.adm_amilist_trad('module non install&eacute;').'<br />';

			}

		}
		else
		{

			if($pos1 == false)
			{

				echo '<input type="checkbox" name="xdepa['.$i.']" value="'.$dep[$i].'" checked="checked" />&nbsp;'.$dep[$i].'<br />';

			}
			else
			{

				echo ''.$dep[$i].'&nbsp;'.adm_amilist_trad('module non install&eacute;').'<br />';

			}

		}

	}

	echo '</td>'
	.'</tr>'

	.'<tr>'
	.'<td colspan="2" class="sous_titre_module" align="center">'.adm_amilist_trad('Pagination Module').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td>'.adm_amilist_trad('Liste des amis (pagination)').'</td>'
	.'<td><input type="text" name="xnb_news" size="3" value="'.$nb_news.'" /></td>'
	.'</tr>'

	.'<tr class="sous_titre_module">'
	.'<td colspan="2" align="center">'
	.'<input type="hidden" name="subop" value="ConfigSave" />'
	.'<input class="adm_bouton" type=submit value="'.adm_amilist_trad('Sauver les changements').'" />'
	.'</td>'
	.'</tr>'
	.'</form>'
	.'</table>'
	.'</div>';

	Closetable();

}
/// FIN CONFIGURATION ///

/// DEBUT SAUVER CONFIGURATION ///
function ConfigSave($xdepa, $xnb_news)
{

	global $ModPath;

	/*Debut securite*/
	settype($xnb_news,"integer");
	$xdepa = removeHack($xdepa);
	/*Fin securite*/

	if ($xdepa != ''){$newcrit = implode(",", $xdepa);}else{$newcrit = '';}

	menuprincipal();

	$file = fopen('modules/'.$ModPath.'/admin/config.php', 'w');

	$content = "<?php\n";
	$content .= "/************************************************************/\n";
	$content .= "/* NPDS : Net Portal Dynamic System                         */\n";
	$content .= "/* ==========================                               */\n";
	$content .= "/* Fichier : modules/amilist/admin/config.php               */\n";
	$content .= "/*                                                          */\n";
	$content .= "/* Module Amilist                                           */\n";
	$content .= "/* Version 1.0                                              */\n";
	$content .= "/* Auteur Oim                                               */\n";
	$content .= "/************************************************************/\n";
	$content .= "\n";
	$content .= "\$listM   = \"$newcrit\";\n";
	$content .= "\$nb_news   = \"$xnb_news\";\n";
	$content .= "\n";
	$content .= "?>";

	fwrite($file, $content);

	fclose($file);

	Opentable();

	echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_amilist_trad('Les pr&eacute;f&eacute;rences pour Amilist sont enregistr&eacute;es.').'</span></div>';

	Closetable();

}
/// FIN SAUVER CONFIGURATION ///


////////////////////////
///FIN CONFIGURATION ///
////////////////////////

	/*Debut Retro compatibilité SABLE*/
	if (!function_exists('sql_connect'))
	{

		include ('modules/'.$ModPath.'/retro-compat/mysql.php');

	}
	/*Fin Retro compatibilité SABLE*/

	if (file_exists('modules/'.$ModPath.'/admin/pages.php'))
	{

		include ('modules/'.$ModPath.'/admin/pages.php');

	}

	if ($admin)
	{

		/*Parametres utilises par le script*/
		$ThisFile = 'admin.php?op=Extend-Admin-SubModule&amp;ModPath='.$ModPath.'&amp;ModStart='.$ModStart.'';

		if (file_exists('modules/'.$ModPath.'/admin/lang/'.$language.'.php'))
		{

			include_once('modules/'.$ModPath.'/admin/lang/'.$language.'.php');

		}
		else
		{

			include_once('modules/'.$ModPath.'/admin/lang/french.php');

		}

		/*css perso admin en attendant evolution page.php*/
		if (isset($user))
		{

			echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_admin.css" />';

		}
		else
		{

			echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_admin.css" />';

		}

		switch($subop)
		{

			default:
				menuprincipal();
			break;

			case 'voirmembre':
				voirmembre($membre);
			break;

			case 'supp':
				supp($membre, $ok);
			break;

			case 'configuration':
				configuration();
			break;

			case 'ConfigSave':
				ConfigSave($xdepa, $xnb_news);
			break;

		}

	}

?>